Update a log parser.
PUT
/log_parsers/{parser_id}
const url = 'https://api.siteqwality.com/log_parsers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","enabled":true,"priority":1,"detect_pattern":"example","source_filter":"example","parse_type":"example","parse_config":"example","field_mapping":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.siteqwality.com/log_parsers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "enabled": true, "priority": 1, "detect_pattern": "example", "source_filter": "example", "parse_type": "example", "parse_config": "example", "field_mapping": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” parser_id
required
string format: uuid
Log parser identifier
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
string | null
description
string | null
enabled
boolean | null
priority
integer | null format: int32
detect_pattern
string | null
source_filter
string | null
parse_type
string | null
parse_config
field_mapping
Example generated
{ "name": "example", "description": "example", "enabled": true, "priority": 1, "detect_pattern": "example", "source_filter": "example", "parse_type": "example", "parse_config": "example", "field_mapping": "example"}Responses
Section titled “ Responses ”Parser updated
Missing or invalid authentication
Parser not found
Internal server error